<?php

//禁止直接访问
!defined('IN_SYSTEM') && exit('Access Denied');

//读取数据备份文件目录
$backup_dir = scandir(SITE_DIR."data/backup");

//创建数组变量用于存放数据备份文件名称
$SqlBackupFile = array();

//将备份文件放在数组中
foreach($backup_dir as $v){
	if($v !== '.' && $v !== '..'){
		if(is_dir(SITE_DIR."data/backup/".$v)){
			$file_list['name'] = $v;
			$file_list['url'] = "data/backup/".$v;
			$file_list['full_url'] = SITE_DIR."data/backup/".$v;
			$file_list['size'] = backupSize($file_list['full_url']);
			$file_list['time'] = date("Y-m-d H:i:s", filectime($file_list['full_url']));
			array_push($SqlBackupFile, $file_list);
		}
	}
}

//将数据库备份文件名称列表赋值给模板
$smarty->assign('SqlBackupFile', $SqlBackupFile);

//生成input_key
$_SESSION['DbmanageInputKey'] = generate_rand_string(50);
//将input_key赋值给模板
$smarty->assign('DbmanageInputKey', $_SESSION['DbmanageInputKey']);

?>